'use strict';
import HeroFactory from '../model/heroes/hero-factory';
import { Faction } from '../utils/const/faction-enum';

export default class GameGenerator {
  constructor(gameType) {
    let heroFactory = new HeroFactory();


    this.heroesSet = heroFactory.getFactionRandom(Faction.MECA);
    console.log('Faction Set : ', this.heroesSet);



  }
  getHeroesSet(){
    return this.heroesSet;
  }
}
